package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyLifeAssistantInspectionPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyLifeAssistantInspectionRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyLifeAssistantInspectionSaveReqVO;

/**
 * 生活助理巡视 Service
 */
public interface ElderlyLifeAssistantInspectionService {

    Long create(ElderlyLifeAssistantInspectionSaveReqVO createReqVO);

    void update(ElderlyLifeAssistantInspectionSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyLifeAssistantInspectionRespVO get(Long id);

    PageResult<ElderlyLifeAssistantInspectionRespVO> getPage(ElderlyLifeAssistantInspectionPageReqVO pageReqVO);
}

